Package com.google.protobuf

# Interface DescriptorProtos.GeneratedCodeInfo.AnnotationOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `DescriptorProtos.GeneratedCodeInfo.Annotation`, `DescriptorProtos.GeneratedCodeInfo.Annotation.Builder`

Enclosing class:
  `DescriptorProtos.GeneratedCodeInfo`

public static interface DescriptorProtos.GeneratedCodeInfo.AnnotationOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`int`
`getBegin()`
`optional int32 begin = 3 [json_name = "begin"];`
`int`
`getEnd()`
`optional int32 end = 4 [json_name = "end"];`
`int`
`getPath(int index)`
`repeated int32 path = 1 [json_name = "path", packed = true];`
`int`
`getPathCount()`
`repeated int32 path = 1 [json_name = "path", packed = true];`
`List<Integer>`
`getPathList()`
`repeated int32 path = 1 [json_name = "path", packed = true];`
`DescriptorProtos.GeneratedCodeInfo.Annotation.Semantic`
`getSemantic()`
`optional .google.protobuf.GeneratedCodeInfo.Annotation.Semantic semantic = 5 [json_name = "semantic"];`
`String`
`getSourceFile()`
`optional string source_file = 2 [json_name = "sourceFile"];`
`ByteString`
`getSourceFileBytes()`
`optional string source_file = 2 [json_name = "sourceFile"];`
`boolean`
`hasBegin()`
`optional int32 begin = 3 [json_name = "begin"];`
`boolean`
`hasEnd()`
`optional int32 end = 4 [json_name = "end"];`
`boolean`
`hasSemantic()`
`optional .google.protobuf.GeneratedCodeInfo.Annotation.Semantic semantic = 5 [json_name = "semantic"];`
`boolean`
`hasSourceFile()`
`optional string source_file = 2 [json_name = "sourceFile"];`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getPathList

List<Integer> getPathList()
`repeated int32 path = 1 [json_name = "path", packed = true];`

Returns:
  A list containing the path.

### getPathCount

int getPathCount()
`repeated int32 path = 1 [json_name = "path", packed = true];`

Returns:
  The count of path.

### getPath

int getPath(int index)
`repeated int32 path = 1 [json_name = "path", packed = true];`

Parameters:
  `index` - The index of the element to return.
Returns:
  The path at the given index.

### hasSourceFile

boolean hasSourceFile()
`optional string source_file = 2 [json_name = "sourceFile"];`

Returns:
  Whether the sourceFile field is set.

### getSourceFile

String getSourceFile()
`optional string source_file = 2 [json_name = "sourceFile"];`

Returns:
  The sourceFile.

### getSourceFileBytes

ByteString getSourceFileBytes()
`optional string source_file = 2 [json_name = "sourceFile"];`

Returns:
  The bytes for sourceFile.

### hasBegin

boolean hasBegin()
`optional int32 begin = 3 [json_name = "begin"];`

Returns:
  Whether the begin field is set.

### getBegin

int getBegin()
`optional int32 begin = 3 [json_name = "begin"];`

Returns:
  The begin.

### hasEnd

boolean hasEnd()
`optional int32 end = 4 [json_name = "end"];`

Returns:
  Whether the end field is set.

### getEnd

int getEnd()
`optional int32 end = 4 [json_name = "end"];`

Returns:
  The end.

### hasSemantic

boolean hasSemantic()
`optional .google.protobuf.GeneratedCodeInfo.Annotation.Semantic semantic = 5 [json_name = "semantic"];`

Returns:
  Whether the semantic field is set.

### getSemantic

DescriptorProtos.GeneratedCodeInfo.Annotation.Semantic getSemantic()
`optional .google.protobuf.GeneratedCodeInfo.Annotation.Semantic semantic = 5 [json_name = "semantic"];`

Returns:
  The semantic.